"MediaWiki:Common.css" 修訂間的差異

出自 Tw.18dao.net
前往: 導覽搜尋
行 202: 行 202:
 
     }
 
     }
 
}
 
}
/*m.18dao.net全页字体及大小,搜索框更整齐,全局ul、dl、p的行距统一,主标题字号及外边距减少,次标题修饰,面包屑与广告新增间距*/
+
/*wiki站m.hongkong.mingluji.com全页字体及大小,搜索框更整齐,全局ul、dl、p的行距统一,主标题字号及外边距减少,次标题修饰,面包屑与广告新增间距*/
@media (max-width:768px) {
 
* {
 
margin:0;
 
padding:0;
 
box-sizing:border-box;
 
}
 
body {
 
font:14px 'Microsoft YaHei', 'STHeiti', '宋体', 'arial';
 
}
 
#drop-fade {
 
    height: 40px;
 
}
 
#wptouch-search-inner {
 
    height: auto;
 
padding-top: 0;
 
    padding-bottom: 5px;
 
}
 
#headerbar-title {
 
    height: auto;
 
}
 
div.left_column {
 
    width: 100%;
 
}
 
div.right_column {
 
    width: 100%;
 
}
 
.grid-ad-box {
 
width: 100%;
 
}
 
.grid-container {
 
width: 100%;
 
}
 
.grid-attribution {
 
width: 100%;
 
}
 
.grid-link-container {
 
width: 100%;
 
}
 
.content {
 
    margin-top: 0;
 
}
 
.content h2:first-of-type {
 
    font-size: 18px;
 
    padding: 0;
 
    margin: 0;
 
}
 
div.breadcrumb {
 
    margin-top: 5px;
 
}
 
div.legend {
 
    padding: 4px 12px;
 
}
 
.mainentry {
 
    line-height: 1.75;
 
}
 
li {
 
    padding: 0;
 
    margin: 0;
 
}
 
.content li {
 
line-height: 1.75;
 
}
 
dl {
 
    margin-top: 0;
 
    margin-bottom: 0;
 
}
 
dd {
 
    margin-bottom: 0;
 
}
 
.post {
 
    padding: 10px;
 
}
 
.mw-ui-input-inline {
 
    width: calc(100% - 10em);
 
}
 
.mw-ui-button {
 
    min-width: auto;
 
    padding: .5em;
 
}
 
table a,table strong {
 
    display: inline-block;
 
    width: 100%;
 
    text-align: center;
 
    background-color: #f5faff;
 
}
 
/*导航换底色,边距,去n多边框*/
 
#headerbar, #wptouch-login, #wptouch-search {
 
position: relative;
 
    background: none;
 
    background-color: #1d84c3;
 
    background-image: linear-gradient(to bottom,#055a8e 0%,#1d84c3 100%);
 
}
 
.dropper {
 
    background-image: linear-gradient(to bottom,#2285c1 0%,#135984 100%);
 
    border-top: none;
 
}
 
#tabnav {
 
    background-color: transparent;
 
    border-bottom: none;
 
    border-top: 1px solid #1a6b9c;
 
    height: auto;
 
padding-top: 0;
 
padding-left: 0;
 
}
 
#tabnav a {
 
    color: #ddd;
 
    text-shadow: none;
 
padding: 8px 12px;
 
font-size: 14px;
 
    font-weight: 400;
 
}
 
#tabnav a.selected {
 
    background-color: #1871a7;
 
    border: none;
 
    border-bottom: none;
 
    text-shadow: none;
 
}
 
.dropper li {
 
    border-bottom: none;
 
    border-top: 1px solid rgba(54, 54, 54, 0.2);
 
}
 
.dropper a {
 
    color: #eee;
 
    font-weight: 400;
 
    text-shadow: none;
 
}
 
}
 
/*wiki站m.全页字体及大小,搜索框更整齐,全局ul、dl、p的行距统一,主标题字号及外边距减少,次标题修饰,面包屑与广告新增间距*/
 
 
* {
 
* {
 
margin:0;
 
margin:0;
行 365: 行 237:
 
background-color:#ddeeff;
 
background-color:#ddeeff;
 
}
 
}
.breadcrumb ~ table[style*="background-color"] tr {
+
.breadcrumb ~ table.css-hsy tr {
 
float: left;
 
float: left;
 
}
 
}
.breadcrumb ~ table[style*="background-color"] td {
+
.breadcrumb ~ table.css-hsy td {
+
display: block;
 +
    width: 100%;
 
}
 
}
.breadcrumb ~ table[style*="background-color"] a,.breadcrumb ~ table[style*="background-color"] strong {
+
.breadcrumb ~ table.css-hsy a,.breadcrumb ~ table.css-hsy strong {
 
border-radius: 100px;
 
border-radius: 100px;
 
     padding: 3px 12px;
 
     padding: 3px 12px;
 
}
 
}
.breadcrumb ~ table[style*="background-color"] strong {
+
.breadcrumb ~ table.css-hsy strong {
 
 
 
}
 
}
.breadcrumb ~ table[style*="background-color"] tr:first-of-type {
+
/*
 +
.breadcrumb ~ table.css-hsy tr:first-of-type {
 
float: none;
 
float: none;
 
}
 
}
.breadcrumb ~ table[style*="background-color"] tr:first-of-type strong {
+
.breadcrumb ~ table.css-hsy tr:first-of-type strong {
 
font-size: 15px;
 
font-size: 15px;
 
background-color: #f5faff;
 
background-color: #f5faff;
 
     border: none;
 
     border: none;
 
     border-radius: 0;
 
     border-radius: 0;
     text-align: left;
+
     text-align: center;
 
     border-left: 4px solid #d3e2f3;
 
     border-left: 4px solid #d3e2f3;
 
}
 
}
 +
*/
 
div#mw-panel div.portal h3,#mw-panel li a {
 
div#mw-panel div.portal h3,#mw-panel li a {
 
font-size:14px;
 
font-size:14px;
行 409: 行 284:
 
@media (max-width:768px) {
 
@media (max-width:768px) {
  
body {
+
html,body {
 
font:14px 'Microsoft YaHei', 'STHeiti', '宋体', 'arial';
 
font:14px 'Microsoft YaHei', 'STHeiti', '宋体', 'arial';
 +
}
 +
.breadcrumb ~ table.css-hsy tr {
 +
width:auto;
 +
min-width: 60px;
 
}
 
}
 
#drop-fade {
 
#drop-fade {

於 2018年12月14日 (五) 16:06 的修訂

/* 此處的 CSS 將應用於所有的面板 */
/* 此处的 CSS 将应用于所有的皮肤 */
/*
<pre><nowiki>
*/
div.breadcrumb {
  background-color:#f5faff; 
  border:1px solid #cedff2; 
  width:100%; 
  padding:0.5em;
  box-sizing:border-box;
  clear:both;
}

div.discuss {
  background-color:#f5faff; 
  border:1px solid #cedff2; 
  width:100%; 
  padding:0.5em;
  box-sizing:border-box;
}

div.white_background {
  background-color:#ffffff;
}

div.adsense {
  width:100%; 
  padding-left:2em;
}

.portlet ul {
	font-size: 100%;
}
input.searchButton {
	font-size: 100%;
}
#searchInput {
	width: 10.355em;
	font-size: 100%;
}
div.thumbinner {
	font-size: 100%;
}
html .thumbcaption {
	font-size: 100%;
}
.toccolours {
	font-size: 100%;
}
div.townBox dl {
	font-size: 100%;
}
.portlet h4 {
	font-size: 100%;
}
.portlet h5 {
	font-size: 100%;
}
.pBody {
	font-size: 100%;
}
	#p-cactions {
		font-size: 100%;
	}
#footer {
	font-size: 100%;
}
div.prefsectiontip {
	font-size: 100%;
}
.prefcache {
	font-size: 100%;
}
div.gallerytext {
	font-size: 100%;
}
span.changedby {
	font-size: 100%;
}
ul#filetoc {
	font-size: 100%;
}
p.mw-ipb-conveniencelinks {
	font-size: 100%;
}
.MediaTransformError td {
	font-size: 100%;
}
.small, .small * { font-size: 100%; }
h6 { font-size: 100%;  }
h6 .editsection { font-size: 100%; font-weight: normal; }
#userloginprompt, #languagelinks {
	font-size: 100%;
}

#login-sectiontip {
	font-size: 100%;
}
#contentSub, #contentSub2 {
	font-size: 100%;
}
h3 .editsection { font-size: 100%; font-weight: normal; }
h4 .editsection { font-size: 100%; font-weight: normal; }
div.patrollink {
	font-size: 100%;
}
td.diff-addedline {
	font-size: 100%;
}
td.diff-deletedline {
	font-size: 100%;
}
td.diff-context {
	font-size: 100%;
}
code {
	font-size: 12px;
}
pre {
	font-size: 12px;
}
.adsense_responsive_1 { 
	width: 320px;
	height: 100px;
}
.adsense_responsive_2 { 
	width: 300px;
	height: 250px;
}
.adsense_responsive_3 { 
	width: 300px;
	height: 250px;
}
.adsense_responsive_link_1 { 
	width: 100%;
	height: 30px;
}
@media(min-width: 600px) {
	.adsense_responsive_1 {
		width: 100%;
	}
	.adsense_responsive_2 {
		width: 100%;
	}
	.adsense_responsive_3 {
		width: 100%;
		height: 250px;
	}
	.adsense_responsive_link_1 {
		width: 100%;
		height: 30px;
	}
}
.categories-list {
  width:100%; border:1px solid #cedff2;
}
.categories-list-item {
  float:left; width:100px; vertical-align:top; text-align:center;
}
.clear-both {
  width:100%; clear:both;
}

div.fieldset {
  width:100%;
  clear:both;
}

div.legend {
  background-color: #ddd;
  font-size: 16px;
  font-weight: 700;
}

div.one_row {
  width:100%;
  clear:both;
}

div.left_column {
  width:336px;
  float:left;
  vertical-align:top;
}

div.right_column {
  margin-left:10px;
  width:calc(100% - 346px);
  float:left;
  vertical-align:top;
  word-break: break-all;
}
@media (max-width:768px) {
div.right_column {
  margin-left:0px;
  width:100%;
  word-break: break-all;
}
div#mw-navigation div#mw-panel {
        font-size: 100%;
    }
}
/*wiki站m.hongkong.mingluji.com全页字体及大小,搜索框更整齐,全局ul、dl、p的行距统一,主标题字号及外边距减少,次标题修饰,面包屑与广告新增间距*/
* {
	margin:0;
	padding:0;
	box-sizing:border-box;
}
/*box-sizing重置后导致下面这个元素高度不足,同步修正*/
div.vectorTabs span {
	height: 100%;
}
table {
	background-color: transparent !important;
    padding: 0 !important;
    border: none !important;
    border-collapse: collapse;
    border-spacing: 0;
    margin-bottom: 5px;
}
table td {
    border: none;
    padding: 2px;
	background-color: transparent;
}
table a,table strong {
    display: inline-block;
    width: 100%;
    text-align: center;
    background-color: #f5faff;
	border: 1px solid #cedff2;
	padding: 3px;
}
table a:hover,table strong:hover {
    text-decoration:none;
	background-color:#ddeeff;
}
.breadcrumb ~ table.css-hsy tr {
	float: left;
}
.breadcrumb ~ table.css-hsy td {
	display: block;
    width: 100%;
}
.breadcrumb ~ table.css-hsy a,.breadcrumb ~ table.css-hsy strong {
	border-radius: 100px;
    padding: 3px 12px;
}
.breadcrumb ~ table.css-hsy strong {
	
}
/*
.breadcrumb ~ table.css-hsy tr:first-of-type {
	float: none;
}
.breadcrumb ~ table.css-hsy tr:first-of-type strong {
	font-size: 15px;
	background-color: #f5faff;
    border: none;
    border-radius: 0;
    text-align: center;
    border-left: 4px solid #d3e2f3;
}
*/
div#mw-panel div.portal h3,#mw-panel li a {
	font-size:14px;
}
#siteNotice {
    font-size: 14px;
}
.mw-body h2,.mainentry h2 {
    border-bottom: none;
	margin-bottom: 5px;
}
.mw-body h2 span.mw-headline {
	font-size: 15px;
    display: block;
    padding: 6px;
    background-color: #f5faff;
    border: none;
    border-left: 4px solid #d3e2f3;
}
@media (max-width:768px) {

html,body {
	font:14px 'Microsoft YaHei', 'STHeiti', '宋体', 'arial';	
}
.breadcrumb ~ table.css-hsy tr {
	width:auto;
	min-width: 60px;
}
#drop-fade {
    height: 40px;
}
#wptouch-search-inner {
    height: auto;
	padding-top: 0;
    padding-bottom: 5px;
}
#headerbar-title {
    height: auto;
}
div.left_column {
    width: 100%;
}
div.right_column {
    width: 100%;
}
.grid-ad-box {
	width: 100%;
}
.grid-container {
	width: 100%;
}
.grid-attribution {
	width: 100%;
}
.grid-link-container {
	width: 100%;
}
.content {
    margin-top: 0;
}
.content:after {
	content:"";	
	display:table;
	clear:both;
}
.content h2:first-of-type {
    font-size: 18px;
    padding: 0;
    margin: 0;
	margin-bottom:5px;
}
div.breadcrumb {
    margin-top: 5px;
}
div.legend {
    padding: 4px 12px;
}
.mainentry {
    line-height: 1.75;
}
li {
    padding: 0;
    margin: 0;
}
.content li {
	line-height: 1.75;
}
dl {
    margin-top: 0;
    margin-bottom: 0;
}
dd {
    margin-bottom: 0;
}
.post {
    padding: 10px;
}
.mw-ui-input-inline {
    width: calc(100% - 10em);
}
.mw-ui-button {
    min-width: auto;
    padding: .5em;
}
/*导航换底色,边距,去n多边框*/
#headerbar, #wptouch-login, #wptouch-search {
	position: relative;
    background: none;
    background-color: #1d84c3;
    background-image: linear-gradient(to bottom,#055a8e 0%,#1d84c3 100%);
}
.dropper {
    background-image: linear-gradient(to bottom,#2285c1 0%,#135984 100%);
    border-top: none;
}
#tabnav {
    background-color: transparent;
    border-bottom: none;
    border-top: 1px solid #1a6b9c;
    height: auto;
	padding-top: 0;
	padding-left: 0;
}
#tabnav a {
    color: #ddd;
    text-shadow: none;
	padding: 8px 12px;
	font-size: 14px;
    font-weight: 400;
}
#tabnav a.selected {
    background-color: #1871a7;
    border: none;
    border-bottom: none;
    text-shadow: none;
}
.dropper li {
    border-bottom: none;
    border-top: 1px solid rgba(54, 54, 54, 0.2);
}
.dropper a {
    color: #eee;
    font-weight: 400;
    text-shadow: none;
}
#headerbar-menu {
    z-index: 9;
}
}

/*
</nowiki></pre>
*/